-- ----------------------------------------------------------------------------
goalFigureOut.mSteps = 
{
	{ action = "click", object = objectPoiShrine },
	{ action = "click", object = objectPoiHitchhikerPuzzle },
	{ action = "click", object = objectPoiHookmanPuzzleClosed },
	{ action = "click", object = objectPoiRotascopeCryptClosed },
}
-- ----------------------------------------------------------------------------
goalFigureOut.readyToStart = false
-- ----------------------------------------------------------------------------
function goalFigureOut:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalFigureOut:onLayoutShow(layout)

	if (not self.readyToStart) then
		if (layout == layoutCrypt) then
			self.readyToStart = true
		end
	else
		local allSeen = true
		allSeen = allSeen and layoutCryptHitchhiker:isSeen()
		allSeen = allSeen and layoutCryptHookman:isSeen()
		allSeen = allSeen and layoutCryptShrine:isSeen()
		allSeen = allSeen and layoutCryptRotascope:isSeen()
		if (allSeen) then
			self:achieved()
		end
	end
	
end	
